> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set account association

> Associates a generated miniapp with a Farcaster account using a JFS-signed domain association. Requires API key authentication. Note: Studio CU is tracked based on LLM token usage, not per API call.

<Info>
  The Miniapp Studio API is an allowlisted API and not publicly available. [Contact the Neynar team](https://neynar.com/slack) for more information.
</Info>

## Node.js SDK

🔗 **SDK Method:** [associateDeployment](/nodejs-sdk/studio-apis/associateDeployment)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml post /v2/studio/deployment/account-association
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/studio/deployment/account-association:
    post:
      tags:
        - studio
      summary: Set account association
      description: >-
        Associates a generated miniapp with a Farcaster account using a
        JFS-signed domain association. Requires API key authentication. Note:
        Studio CU is tracked based on LLM token usage, not per API call.
      operationId: associate-deployment
      requestBody:
        content:
          application/json:
            schema:
              properties:
                account_association:
                  description: >-
                    Signed domain association linking this deployment to a
                    Farcaster account
                  properties:
                    header:
                      description: Base64URL encoded JFS header
                      type: string
                    payload:
                      description: Base64URL encoded JFS payload
                      type: string
                    signature:
                      description: Base64URL encoded JFS signature
                      type: string
                  required:
                    - header
                    - payload
                    - signature
                  type: object
                deployment_id:
                  description: Deployment ID (UUID). Required if name not provided.
                  format: uuid
                  type: string
                fid:
                  description: >-
                    Farcaster ID of the user; if not provided, namespace must be
                    provided
                  example: 3
                  format: int32
                  minimum: 0
                  type: integer
                name:
                  description: >-
                    Kubernetes deployment name. Required if deployment_id not
                    provided.
                  type: string
                namespace:
                  description: >-
                    Optional Kubernetes namespace. If not provided, will query
                    for the active namespace for the given FID.
                  type: string
              required:
                - account_association
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Status message from the miniapp generator
                    type: string
                  success:
                    type: boolean
                required:
                  - success
                  - message
                type: object
          description: Success
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Resource not found
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                required:
                  - error
                type: object
          description: Server Error
      security:
        - ApiKeyAuth: []
      externalDocs:
        url: https://docs.neynar.com/reference/associate-deployment
components:
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````